Name:           backup-light
Version:        0.4
Release:        4%{?dist}
Summary:        A small backup bash utility

Group:          Applications/Archiving
License:        GPLv2+
URL:            http://code.google.com/p/backup-light/
Source0:        http://%{name}.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:         backup-light.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       procps

%description
Backup-light is a small, lightweight utility written for the bash shell
that backups the active users $HOME directory. Backup-light is able to
preform both full and incremental backups with the options to preform a
backup with out updating the time stamp, or to backup to a different
directory or device at will. Backup-light also creates MD5sums of the
backup archives for added security.


%prep
%setup -q
%patch0 -p1
mv backuplight.sh %{name}.sh


%build
#nothing to build


%install
rm -rf %{buildroot}
install -Dp -m 0755 %{name}.sh %{buildroot}%{_bindir}/%{name}
install -Dp -m 0644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc authors COPYING README
%{_mandir}/man*/%{name}.*
%{_bindir}/%{name}


%changelog
* Wed Dec 30 2009 Fabian Affolter <fabian@bernewireless.net> - 0.4-4
- Changed script name
- Added patch for the deactivation of the test for a running instance
- Added requirement

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Mar 21 2009 Fabian Affolter <fabian@bernewireless.net> - 0.4-2
- Changed script name http://code.google.com/p/backup-light/issues/detail?id=3 

* Wed Mar 18 2009 Fabian Affolter <fabian@bernewireless.net> - 0.4-1
- Initial spec for Fedora

